import * as log from './log'
import * as MqttClient from './mqttclient'

class Dispatcher {
    private _mqttClient: MqttClient.MqttClient

    constructor() {
        this._mqttClient = new MqttClient.MqttClient()

        this._mqttClient.register('IoT/test', null)
        this._mqttClient.register('IoT/Device/#', null)
    }

    exec() : void {
        log.info("Dispatcher starting")

        this._mqttClient.exec()
    }
}


const dispatcher = new Dispatcher()
dispatcher.exec()




